Bug 43832 - No way to set default page to open up by default
Summary: No way to set default page to open up by default
Status: CLOSED FIXED
Alias: None
Product: koffice
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KOffice List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-12 04:48 UTC by vader
Modified: 2002-09-16 14:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vader 2002-06-12 04:47:37 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           koffice
Version:           KDE 3.0.1 
Severity:          wishlist
Installed from:    compiled sources
Compiler:          gcc version 2.96 20000731 (Red Hat Linux 7.3 2.96-110)
OS:                Linux (i686) release 2.4.18-3
OS/Compiler notes: 

Hello

I think there should be an easy way to set the default page style for all koffice applications.  Most of the time especially for kword and kspread I use the same template and most of the time I am creating a new document; therefore I think there should be an easy way to set the default page style so the choose dialog box does not come up every time I open a koffice application (of course have this done a per application basis) and just have the choose dialog come up when I do a File->New.  I believe this would greatly enhance the usability of koffice.

Cheers
Jesse

(Submitted via bugs.kde.org)
(Called from KBugReport dialog. Fields Application manually changed)
Comment 1 Thomas Zander 2002-06-12 11:55:35 UTC
On Wed Jun 12 2002 at 04:47:37AM -0000 vader@speakeasy.net wrote:
> Package: koffice
> Version: KDE 3.0.1 
> Severity: wishlist
> Installed from:    compiled sources
> Compiler:          gcc version 2.96 20000731 (Red Hat Linux 7.3 2.96-110)
> OS:                Linux (i686) release 2.4.18-3
> OS/Compiler notes: 
> 
> Hello
> 
> I think there should be an easy way to set the default page style for all koffice applications.  Most of the time especially for kword and kspread I use the same template and most of the time I am creating a new document; therefore I think there should be an easy way to set the default page style so the choose dialog box does not come up every time I open a koffice application (of course have this done a per application basis) and just have the choose dialog come up when I do a File->New.  I believe this would greatly enhance the usability of koffice.

The points you make are valid but there is one thing that nobody has been
able to answer who made about the same points.

If this changes how can the user choose another template?

All solutions to that little question are hacks or limit usability greatly.

For example the answers given were to open it via a menu entry after we are
allready in an empty document.  This is not very nice as users will not be
aware this exists or when they find out changes are they have allready modified
the existing document creating a range of confusing situations.

You also miss the fact that this dialog has more then just the template section.

The 'most of the time' parts of your question can be answered with; 
    then you can simply press enter most of the time.

I don't think the current behavior should change.

-- 
Thomas Zander                                           zander@planescape.com
                                                 We are what we pretend to be
Comment 2 David Faure 2002-06-12 12:13:39 UTC
On Wednesday 12 June 2002 14:03 Stephan Kulow wrote:
> Your message with subj: Bug#43832: No way to set default page to open up by default
> 
> On Wed Jun 12 2002 at 04:47:37AM -0000 vader@speakeasy.net wrote:
> > Package: koffice
> > Version: KDE 3.0.1 
> > Severity: wishlist
> > Installed from:    compiled sources
> > Compiler:          gcc version 2.96 20000731 (Red Hat Linux 7.3 2.96-110)
> > OS:                Linux (i686) release 2.4.18-3
> > OS/Compiler notes: 
> > 
> > Hello
> > 
> > I think there should be an easy way to set the default page style for all koffice applications.  Most of the time especially for kword and kspread I use the same template and most of the time I am creating a new document; therefore I think there should be an easy way to set the default page style so the choose dialog box does not come up every time I open a koffice application (of course have this done a per application basis) and just have the choose dialog come up when I do a File->New.  I believe this would greatly enhance the usability of koffice.
> 
> The points you make are valid but there is one thing that nobody has been
> able to answer who made about the same points.
> 
> If this changes how can the user choose another template?
> 
> All solutions to that little question are hacks or limit usability greatly.
> 
> For example the answers given were to open it via a menu entry after we are
> allready in an empty document.  This is not very nice as users will not be
> aware this exists or when they find out changes are they have allready modified
> the existing document creating a range of confusing situations.
> 
> You also miss the fact that this dialog has more then just the template section.
> 
> The 'most of the time' parts of your question can be answered with; 
>     then you can simply press enter most of the time.
> 
> I don't think the current behavior should change.

I don't entirely agree. Yes the template dialog should always appear
but what should be customizable is which template is auto-selected when
pressing Enter.

-- 
David FAURE david@mandrakesoft.com faure@kde.org
http://people.mandrakesoft.com/~david/
Contributing to: http://www.konqueror.org/ http://www.koffice.org/
LinuxTag was fun: polar bears bad movies live hacking late hacking bed sharing Fahrplan.
Comment 3 Thomas Zander 2002-06-12 12:17:12 UTC
On Wed Jun 12 2002 at 02:13:39PM +0200 David Faure wrote:
> > > 
> > > I think there should be an easy way to set the default page style for all koffice applications.
...
> > I don't think the current behavior should change.
> 
> I don't entirely agree. Yes the template dialog should always appear
> but what should be customizable is which template is auto-selected when
> pressing Enter.
> 

A 'remember what I chose last time' feature?  Sounds good.

-- 
Thomas Zander                                           zander@planescape.com
                                                 We are what we pretend to be
Comment 4 Joseph Manojlovich 2002-06-12 16:04:13 UTC
> If this changes how can the user choose another template?

File->New ??

> All solutions to that little question are hacks or limit usability
> greatly.

Oh? Seems to work for every other office suite I've ever used. Make not
showing the dialog box optional then and have the dialog on by default.

> For example the answers given were to open it via a menu entry after we
> are allready in an empty document. This is not very nice as users will
> not be aware this exists

Watch somebody using Microsoft Office or StarOffice. They have no
trouble realizing that to get a different template you start up the
program and then go to File->New. This behavior is set in the millions
of office suite users and fighting it is pretty pointless and will
only frustrate users.

> or when they find out changes are they have allready (sic) modified
> the existing document creating a range of confusing situations.

You win on this one in theory. However users of commerical office
suites deal just fine with this issue every day. Don't fight set
behaviors. You can't win and will only frustrate users.

> You also miss the fact that this dialog has more then just the template
> section.

Perhaps so but I'd bet that 99.99% of the time users will simply want
to close the dialog first and then use the standard File menu items
(File->New File->Open) instead.  

When users open a word processor they typically want to type
something. They already have parts of their document in mind and want
to pound out text right away. Presenting them with a dialog box to pick
a template will cause them to need to switch drives and deal with this
new UI situation. Meanwhile the text in their minds is quickly
receding into oblivion as they shift concentration just to pick the
default template anyway.

When most people want to open an existing document they double click
on the file icon. I rarely see people starting Microsoft Word only to
click File->Open.

Seriously do you think users want to pick a different template every
time they launch these apps? This is a waste of their time.

And if this dialog box is so great why don't all applications have it
then? Kate for example?

> The 'most of the time' parts of your question can be answered with;
> then you can simply press enter most of the time.

And frustrate users? People don't like pushy modal dialog boxes in
apps. They just want to work.

> I don't think the current behavior should change.

****
What is so hard about adding a option box to the dialog "make my
selection default"? Or "don't show this dialog box again"? Ignoring
everything else this would be a solution that should be amicable to
both sides of this debate at the cost of one checkbox and a few lines
of code.  
****

I say to put up a voting poll about this and other UI issues. Let the
real users come forth and say how the use the apps. Us sitting around
and armchair pontificating will only go so far. Koffice is a great
light-weight office suite. Please don't bog down users with unnecessary
UI fluff.
Comment 5 Joseph Manojlovich 2002-06-13 01:26:16 UTC
> Without going into this long monologue I want to point out that KWord 
> is an application that has been build on the premise of how it should 
> be done.  I am in a position where I deal with professional DTP users and (lots 
> more) simple users. 

There is no "right way" in user interfaces. You have some general rules
to follow then it's mainly usability studies and watching the
application in action. Have you done random samples with other users
other than the "professional DTP" users actually using Koffice and
watch their productivity?

I (and the other poster) also work in a lab situations with 100s of
normal users. Most of these people can hardly log into the computer. If
I even say "template" to them I'm speaking a second language. If you
are only going after professional writers who doubtfully would be
using an office suite in the first place but would rather be using
tools such as Latex and Matlab then the UI can stand. However if you
are going for a general light weight office suite to be used in
university high/grade school and home settings as this suite should
then there is nothing wrong with conforming to certain UI designs
without effecting the fuctionality but increasing usability.

> Your points are well taken but I am not going follow the way things 
> have been done for millenia and nobody changes because nobody dares 
> to simply because you want to you are going to have better arguments 
> then that. 

I am not saying you can not make changes to an existing interface but
in this case the UI change in question is an "in your face" style of
UI change and not everyone likes something that is "pushy." Logically
it just does not seem in place for applications such as kword kspread
and kivio where 9 times out of 10 you are using the application for the
same purpose the same way with the same setting every time. Please
think this through logically. Kpresenter on the other hand is fine
because the dialog has much more functionality and serves a much
different purpose in the overall scheme of things in that you are not
creating the same style presentation every single time. As for the
other apps if one likes the current behaviour fine but if one finds
it obtrusive then there should be an easy way  to turn the dialog off
and just go to the default page.

> In short; the argument 'I don't want to see this dialog since I never 
> use it' is not a good enough argument for me as I showed in other emails. 
> I have not heard other arguments since 'I am sure others feel like me' 
> is not much more of an argument now is it? 

And I haven't seen a good argument in favor of the current system
other than it's "the right way". Not much of an argument their either.
Who said that your way was the "right way"?

> Its not hard; but another option in the dialog only has the reversed 
> effect; more widgets on screen is bad. 

Then bury it somewhere deep in the general settings of each
application.  By using some brain storming I am sure a way can be
arrived at that will suite most everyone's needs.  It's not like I'm
talking about a total redesign of the UI just a simplification for
people who aren't "professionals" and will never be using anything
other than the default template anyway.

Look I am not questioning your judgement as a professional programmer
but let face it the majority of users do not think as a programmer and
should never have to. For example as administer of a lab that gives
services to liberal arts students who are not interested in DTP but
rather just want to type research papers and turn them in for a grade
I have the obligation to give them an environment that they can feel
comfortable with which makes their as well as my lives more
productive. These users are used to MS Office.  The goal of the KDE
project as the kde.org states is to bring *nix to the desktop;
therefore greater usability and greater flexibily in all applications
which gives users and/or administrators the ability to tailor such
things to their needs is a critical part to pushing *nix onto the
desktop.

I know this sounds like a big argument for such a small UI change but
if people are used to one way they should not have to change just
because an engineer thinks they should.  Ford Motor Corporation learded
this lesson in the late 50s with the Edsel (a perfectly engineered car
that flopped miserably because it was not what the end users wanted!).
Again I am not asking you to remove the dialog box.  New users may
like the dialog and get used to it and that is fine.  They can leave it
on.  But others surely will find it annoying and will want to get rid
of it and they should be able to and go back to a way they feel
comfortable with.

If you think my think that my conclusions are pointless why not have
this question as well as any other general UI concerns in koffice
answered by the masses in the form of a poll on dot.kde.org where a
good sample of KDE non-kde developers and non-devleopers mingle.
This would be the objective approach to this and any other as I'm sure
there are UI questions.

Since it seems that I'm asking the impossible I'll probably end up
wriing my own patch to do this. Guess that's the advantage of GPL
software it's not held back by a single dictatorship authority.

Well I'm done with this. I've already exerted way too much energy.
Who would have expected such an unprofessional response to a simple UI
design question. You go ahead and do it "the right way" and see how
many developers you can muster up with that "my way or the highway"
attitude and watch the Gnome office suite or StarOffice gain even more
ground. Please listen to these suggestions and get the opinions of
other non-professionals before dismissing this suggestion.

Email me personally with a professional and objective response if you
want since I'm not on this mailing list. However I am now done with
this matter and will probably cease to deal with the KOffice devel
team again if this is the type of constructive criticism that
results.